Your message dated Sun, 21 Dec 2014 00:27:03 +0100
with message-id <[email protected]>
and subject line Re: Bug#773555: unblock: partman-efi/59
has caused the Debian Bug report #773555,
regarding unblock: partman-efi/59
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [email protected]
immediately.)


-- 
773555: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=773555
Debian Bug Tracking System
Contact [email protected] with problems
--- Begin Message ---
Package: release.debian.org
Severity: normal
User: [email protected]
Usertags: unblock

Please unblock package partman-efi

The changes since version 56 are tiny - see attached.

They consist of:

 * a fix from Leif for #773311, a silly bug introduced in my own
   changes in #770033 (only talk about BIOS mode on x86)
 * a trivial change to install-time size checks to ensure they're
   applied for all platforms and not just x86
 * translation updates (filterdiffed out)
 * I've added myself to the uploaders list

I've added a CC to d-boot for KiBi to ack this too.

unblock partman-efi/59

-- System Information:
Debian Release: 7.7
  APT prefers stable
  APT policy: (500, 'stable'), (500, 'oldstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-4-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
diff -Nru partman-efi-56/check.d/efi partman-efi-59/check.d/efi
--- partman-efi-56/check.d/efi	2014-11-12 00:35:32.000000000 +0000
+++ partman-efi-59/check.d/efi	2014-12-18 04:02:06.000000000 +0000
@@ -54,14 +54,10 @@
 
 # Experimentally-verified minimum size for a FAT32 filesystem created using
 # libparted.
-case $ARCH in
-    i386/*|amd64/*)
-	if [ "$new_efi_size" ] && longint_le "$new_efi_size" 34091007; then
-		db_input critical partman-efi/too_small_efi || true
-		db_go || true
-		exit 1
-	fi
-	;;
-esac
+if [ "$new_efi_size" ] && longint_le "$new_efi_size" 34091007; then
+	db_input critical partman-efi/too_small_efi || true
+	db_go || true
+	exit 1
+fi
 
 exit 0
diff -Nru partman-efi-56/debian/changelog partman-efi-59/debian/changelog
--- partman-efi-56/debian/changelog	2014-11-25 10:16:47.000000000 +0000
+++ partman-efi-59/debian/changelog	2014-12-19 06:12:17.000000000 +0000
@@ -1,3 +1,29 @@
+partman-efi (59) unstable; urgency=medium
+
+  [ Leif Lindholm ]
+  * Only display "Force UEFI installation" dialog for x86. Closes: #773311
+  * Check ESP size for all architectures.
+
+  [ Steve McIntyre ]
+  * Add myself to uploaders.
+
+  [ Updated translations ]
+  * Bulgarian (bg.po) by Damyan Ivanov
+  * Croatian (hr.po) by Tomislav Krznar
+
+ -- Christian Perrier <[email protected]>  Fri, 19 Dec 2014 07:12:17 +0100
+
+partman-efi (57) unstable; urgency=low
+
+  [ Updated translations ]
+  * Esperanto (eo.po) by Felipe Castro
+  * Spanish (es.po) by Javier Fernández-Sanguino Peña
+  * Slovenian (sl.po) by Vanja Cvelbar
+  * Ukrainian (uk.po) by Anton Gladky
+  * Simplified Chinese (zh_CN.po) by YunQiang Su
+
+ -- Christian Perrier <[email protected]>  Mon, 08 Dec 2014 09:01:34 +0100
+
 partman-efi (56) unstable; urgency=medium
 
   [ Steve McIntyre ]
diff -Nru partman-efi-56/debian/control partman-efi-59/debian/control
--- partman-efi-56/debian/control	2014-09-28 23:03:48.000000000 +0100
+++ partman-efi-59/debian/control	2014-12-18 04:02:06.000000000 +0000
@@ -2,7 +2,7 @@
 Section: debian-installer
 Priority: standard
 Maintainer: Debian Install System Team <[email protected]>
-Uploaders: dann frazier <[email protected]>, Christian Perrier <[email protected]>
+Uploaders: dann frazier <[email protected]>, Christian Perrier <[email protected]>, Steve McIntyre <[email protected]>
 Build-Depends: debhelper (>= 9), dh-di, po-debconf (>= 0.5.0)
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/partman-efi.git
 Vcs-Git: git://anonscm.debian.org/d-i/partman-efi.git
diff -Nru partman-efi-56/debian/po/bg.po partman-efi-59/debian/po/bg.po
diff -Nru partman-efi-56/debian/po/eo.po partman-efi-59/debian/po/eo.po
diff -Nru partman-efi-56/debian/po/es.po partman-efi-59/debian/po/es.po
diff -Nru partman-efi-56/debian/po/hr.po partman-efi-59/debian/po/hr.po
diff -Nru partman-efi-56/debian/po/sl.po partman-efi-59/debian/po/sl.po
diff -Nru partman-efi-56/debian/po/uk.po partman-efi-59/debian/po/uk.po
diff -Nru partman-efi-56/debian/po/zh_CN.po partman-efi-59/debian/po/zh_CN.po
diff -Nru partman-efi-56/init.d/efi partman-efi-59/init.d/efi
--- partman-efi-56/init.d/efi	2014-11-12 00:35:32.000000000 +0000
+++ partman-efi-59/init.d/efi	2014-12-18 04:02:06.000000000 +0000
@@ -3,13 +3,14 @@
 # This script sets method "efi" for all fat16/fat32 partitions that
 # have the bootable flag set.
 
+ARCH="$(archdetect)"
+
 # Give the kernel a chance to create /proc/efi if appropriate.
 modprobe efivars >/dev/null 2>&1 || true
 
 if [ -d /proc/efi ] || [ -d /sys/firmware/efi ]; then
 	> /var/lib/partman/efi
 else
-	ARCH="$(archdetect)"
 	case $ARCH in
 	    i386/mac|amd64/mac)
 		# Intel Macs have an EFI partition, regardless of
@@ -86,14 +87,18 @@
 log "Found $NUM_ESP ESPs, $NUM_NO non-ESPs"
 
 if [ $NUM_ESP = 0 ] && [ $NUM_NO -gt 0 ]; then
-	db_input critical partman-efi/non_efi_system || true
-	db_go || exit 1
-	db_fset partman-efi/non_efi_system seen true
-	db_get partman-efi/non_efi_system
-	if [ "$RET" = false ]; then
-		log "User chose to ignore UEFI"
-		touch /var/lib/partman/ignore_uefi
-	else
-		log "User chose to continue in UEFI mode"
-	fi
+	case $ARCH in
+		i386/*|amd64/*)
+			db_input critical partman-efi/non_efi_system || true
+			db_go || exit 1
+			db_fset partman-efi/non_efi_system seen true
+			db_get partman-efi/non_efi_system
+			if [ "$RET" = false ]; then
+				log "User chose to ignore UEFI"
+				touch /var/lib/partman/ignore_uefi
+			else
+				log "User chose to continue in UEFI mode"
+			fi
+		;;
+	esac
 fi

--- End Message ---
--- Begin Message ---
Hi,

On Sat, Dec 20, 2014 at 10:40:03PM +0100, Cyril Brulebois wrote:
> > unblock partman-efi/59
> 
> As usual, trusting Steve on EFI things, no objections.

Added unblock and unblock-udeb.

Cheers,

Ivo

--- End Message ---

Reply via email to